Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.fdk.core
Class CoreInProcessManagersFactory

    java.lang.Object
      oracle.ifs.fdk.ManagersFactory
          oracle.ifs.fdk.InProcessManagersFactory
              oracle.ifs.fdk.impl.InProcessManagersFactoryImpl
                  oracle.ifs.fdk.core.CoreInProcessManagersFactory

All Implemented Interfaces:
  FdkSessionListener

    public class CoreInProcessManagersFactory

extends InProcessManagersFactoryImpl
implements FdkSessionListener

Concrete implmentation of the managers factory for ECM clients running in process.

Field Summary

Fields inherited from class oracle.ifs.fdk.ManagersFactory
`CONFIG_SERVER_VERSION, CONFIG_WS_URL`

Constructor Summary
`CoreInProcessManagersFactory(FdkCredential credential, java.util.Map config)` Constructs an CoreInProcessManagersFactory.
`CoreInProcessManagersFactory(FdkSessionImpl session)` Package protected constructor used by FdkSessionImpl in some special cases.

Method Summary
`void` | `disconnectCallback(FdkSession session)` Called right before a session is about to be disconnected.
`ArchiveManager` | `getArchiveManager()` Returns the ArchiveManager instance.
`AuditManager` | `getAuditManager()` Returns The AuditManager instance.
`CategoryManager` | `getCategoryManager()` Returns The CategoryManager instance.
`CommonManager` | `getCommonManager()` Returns the CommonManager instance.
`ContainerManager` | `getContainerManager()` Returns the ContainerManager instance.
`ContentManager` | `getContentManager()` Returns The ContentManager instance.
`DomainManager` | `getDomainManager()` Returns the DomainManager instance.
`ExtendedFileContentManager` | `getExtendedFileContentManager()` Returns The ExtendedFileContentManager instance.
`ExtendedLockManager` | `getExtendedLockManager()` Returns the ExtendedLockManager instance.
`FileContentManager` | `getFileContentManager()` Returns the FileContentManager instance.
`FileManager` | `getFileManager()` Returns the FileManager instance.
`GroupManager` | `getGroupManager()` Returns the GroupManager instance.
`LifecycleManager` | `getLifecycleManager()` Returns The LifecycleManager instance.
`LockManager` | `getLockManager()` Returns the LockManager instance.
`MailManager` | `getMailManager()` Returns the MailManager instance.
`RelationManager` | `getRelationManager()` Returns The RelationManager instance.
`RequestManager` | `getRequestManager()` Returns the RequestManager instance.
`SearchManager` | `getSearchManager()` Returns the SearchManager instance.
`SecurityManager` | `getSecurityManager()` Returns the SecurityManager instance.
`SessionManager` | `getSessionManager()` Returns the SessionManager instance.
`SortManager` | `getSortManager()` Returns the SortManager instance.
`SystemConfigurationManager` | `getSystemConfigurationManager()` Returns the SystemConfigurationManager instance.
`TrashManager` | `getTrashManager()` Returns the TrashManager instance.
`UserManager` | `getUserManager()` Returns the UserManager instance.
`VersionManager` | `getVersionManager()` Returns the VersionManager instance.
`WorkflowManager` | `getWorkflowManager()` Returns the WorkflowManager instance.
`WorkspaceManager` | `getWorkspaceManager()` Returns the WorkspaceManager instance.

Methods inherited from class oracle.ifs.fdk.impl.InProcessManagersFactoryImpl
`beginRequest, endRequest, getFdkSession, getUser, isInProcess, logout`

Methods inherited from class oracle.ifs.fdk.ManagersFactory
`login, login, login, login`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CoreInProcessManagersFactory

    public CoreInProcessManagersFactory(FdkCredential credential,
                                        java.util.Map config)
                                 throws FdkException

  Constructs an CoreInProcessManagersFactory.

  The signature is required to be found via reflection.

  Parameters:
    `credential` - The credential
    `config` - The configuration.
  Throws:
    `FdkException` - if operation fails

### CoreInProcessManagersFactory

    public CoreInProcessManagersFactory(FdkSessionImpl session)
                                 throws FdkException

  Package protected constructor used by FdkSessionImpl in some special cases.

  Throws:
    `FdkException`

Method Detail

### disconnectCallback

    public void disconnectCallback(FdkSession session)

  Description copied from class: `CoreInProcessManagersFactory`
  Called right before a session is about to be disconnected.

  Specified by:
    `disconnectCallback` in interface `FdkSessionListener`
  Overrides:
    `disconnectCallback` in class `InProcessManagersFactoryImpl`
  Parameters:
    `session` - The session being disconnected.

### getCommonManager

    public CommonManager getCommonManager()

  Description copied from class: `CoreInProcessManagersFactory`
  Returns the CommonManager instance.

  Specified by:
    `getCommonManager` in class `ManagersFactory`
  Returns:
    The CommonManager instance.

### getFileManager

    public FileManager getFileManager()

  Description copied from class: `CoreInProcessManagersFactory`
  Returns the FileManager instance.

  Specified by:
    `getFileManager` in class `ManagersFactory`
  Returns:
    The FileManager instance.

### getLifecycleManager

    public LifecycleManager getLifecycleManager()

  Description copied from class: `CoreInProcessManagersFactory`
  Returns The LifecycleManager instance.

  Specified by:
    `getLifecycleManager` in class `ManagersFactory`
  Returns:
    The LifecycleManager instance.

### getSessionManager

    public SessionManager getSessionManager()

  Description copied from class: `CoreInProcessManagersFactory`
  Returns the SessionManager instance.

  Specified by:
    `getSessionManager` in class `ManagersFactory`
  Returns:
    The SessionManager instance.

### getArchiveManager

    public ArchiveManager getArchiveManager()

  Description copied from class: `CoreInProcessManagersFactory`
  Returns the ArchiveManager instance.

  Specified by:
    `getArchiveManager` in class `ManagersFactory`
  Returns:
    The ArchiveManager instance.

### getAuditManager

    public AuditManager getAuditManager()

  Description copied from class: `CoreInProcessManagersFactory`
  Returns The AuditManager instance.

  Specified by:
    `getAuditManager` in class `ManagersFactory`
  Returns:
    The AuditManager instance.

### getCategoryManager

    public CategoryManager getCategoryManager()

  Description copied from class: `CoreInProcessManagersFactory`
  Returns The CategoryManager instance.

  Specified by:
    `getCategoryManager` in class `ManagersFactory`
  Returns:
    The CategoryManager instance.

### getContainerManager

    public ContainerManager getContainerManager()

  Description copied from class: `CoreInProcessManagersFactory`
  Returns the ContainerManager instance.

  Specified by:
    `getContainerManager` in class `ManagersFactory`
  Returns:
    The ContainerManager instance.

### getDomainManager

    public DomainManager getDomainManager()

  Description copied from class: `CoreInProcessManagersFactory`
  Returns the DomainManager instance.

  Specified by:
    `getDomainManager` in class `ManagersFactory`
  Returns:
    The DomainManager instance.

### getGroupManager

    public GroupManager getGroupManager()

  Description copied from class: `CoreInProcessManagersFactory`
  Returns the GroupManager instance.

  Specified by:
    `getGroupManager` in class `ManagersFactory`
  Returns:
    The GroupManager instance.

### getLockManager

    public LockManager getLockManager()

  Description copied from class: `CoreInProcessManagersFactory`
  Returns the LockManager instance.

  Specified by:
    `getLockManager` in class `ManagersFactory`
  Returns:
    The LockManager instance.

### getExtendedLockManager

    public ExtendedLockManager getExtendedLockManager()

  Description copied from class: `CoreInProcessManagersFactory`
  Returns the ExtendedLockManager instance.

  Specified by:
    `getExtendedLockManager` in class `InProcessManagersFactory`
  Returns:
    The ExtendedLockManager instance.

### getContentManager

    public ContentManager getContentManager()

  Description copied from class: `CoreInProcessManagersFactory`
  Returns The ContentManager instance.

  Specified by:
    `getContentManager` in class `ManagersFactory`
  Returns:
    The ContentManager instance.

### getRelationManager

    public RelationManager getRelationManager()

  Description copied from class: `CoreInProcessManagersFactory`
  Returns The RelationManager instance.

  Specified by:
    `getRelationManager` in class `ManagersFactory`
  Returns:
    The RelationManager instance.

### getRequestManager

    public RequestManager getRequestManager()

  Description copied from class: `CoreInProcessManagersFactory`
  Returns the RequestManager instance.

  Specified by:
    `getRequestManager` in class `ManagersFactory`
  Returns:
    The RequestManager instance.

### getSearchManager

    public SearchManager getSearchManager()

  Description copied from class: `CoreInProcessManagersFactory`
  Returns the SearchManager instance.

  Specified by:
    `getSearchManager` in class `ManagersFactory`
  Returns:
    The SearchManager instance.

### getSecurityManager

    public SecurityManager getSecurityManager()

  Description copied from class: `CoreInProcessManagersFactory`
  Returns the SecurityManager instance.

  Specified by:
    `getSecurityManager` in class `ManagersFactory`
  Returns:
    The SecurityManager instance.

### getSortManager

    public SortManager getSortManager()

  Description copied from class: `CoreInProcessManagersFactory`
  Returns the SortManager instance.

  Specified by:
    `getSortManager` in class `ManagersFactory`
  Returns:
    The SortManager instance.

### getSystemConfigurationManager

    public SystemConfigurationManager getSystemConfigurationManager()

  Description copied from class: `CoreInProcessManagersFactory`
  Returns the SystemConfigurationManager instance.

  Specified by:
    `getSystemConfigurationManager` in class `ManagersFactory`
  Returns:
    The SystemConfigurationManager instance.

### getTrashManager

    public TrashManager getTrashManager()

  Description copied from class: `CoreInProcessManagersFactory`
  Returns the TrashManager instance.

  Specified by:
    `getTrashManager` in class `ManagersFactory`
  Returns:
    The TrashManager instance.

### getUserManager

    public UserManager getUserManager()

  Description copied from class: `CoreInProcessManagersFactory`
  Returns the UserManager instance.

  Specified by:
    `getUserManager` in class `ManagersFactory`
  Returns:
    The UserManager instance.

### getVersionManager

    public VersionManager getVersionManager()

  Description copied from class: `CoreInProcessManagersFactory`
  Returns the VersionManager instance.

  Specified by:
    `getVersionManager` in class `ManagersFactory`
  Returns:
    The VersionManager instance.

### getWorkflowManager

    public WorkflowManager getWorkflowManager()

  Description copied from class: `CoreInProcessManagersFactory`
  Returns the WorkflowManager instance.

  Specified by:
    `getWorkflowManager` in class `ManagersFactory`
  Returns:
    The WorkflowManager instance.

### getWorkspaceManager

    public WorkspaceManager getWorkspaceManager()

  Description copied from class: `CoreInProcessManagersFactory`
  Returns the WorkspaceManager instance.

  Specified by:
    `getWorkspaceManager` in class `ManagersFactory`
  Returns:
    The WorkspaceManager instance.

### getMailManager

    public MailManager getMailManager()

  Description copied from class: `CoreInProcessManagersFactory`
  Returns the MailManager instance.

  Specified by:
    `getMailManager` in class `InProcessManagersFactory`
  Returns:
    The MailManager instance.

### getExtendedFileContentManager

    public ExtendedFileContentManager getExtendedFileContentManager()

  Description copied from class: `CoreInProcessManagersFactory`
  Returns The ExtendedFileContentManager instance.

  Specified by:
    `getExtendedFileContentManager` in class `InProcessManagersFactory`
  Returns:
    The ExtendedFileContentManager instance.

### getFileContentManager

    public FileContentManager getFileContentManager()

  Description copied from class: `CoreInProcessManagersFactory`
  Returns the FileContentManager instance.

  Specified by:
    `getFileContentManager` in class `ManagersFactory`
  Returns:
    The FileContentManager instance.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD